Package org.zkoss.bind.sys

## Interface SaveBinding

- All Superinterfaces:
    `Binding`
  All Known Subinterfaces:
    `SaveFormBinding`, `SavePropertyBinding`
  All Known Implementing Classes:
    `ClientSaveFormBindingImpl`, `ClientSavePropertyBindingImpl`, `SaveFormBindingImpl`, `SavePropertyBindingImpl`

      public interface SaveBinding
      extends Binding

  Binding for saving.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property` | `getValidate​(BindContext ctx)` | Returns `Property` to be validated.
    `Validator` | `getValidator()` | return `Validator` to do validation
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getValidatorArgs()` | Returns an argument `<tags, object>` pairs map for validator.
    `boolean` | `hasValidator()` | Returns whether to do validation. which means, if true, than getValidator should not return null
    `void` | `save​(BindContext ctx)` | Save data from the source attribute into the target property.
    `void` | `validate​(ValidationContext vctx)` | do the validation by validator

    - ### Methods inherited from interface org.zkoss.bind.sys.Binding

      `getArgs, getBinder, getComponent`

- - ### Method Detail

    - #### save

          void save​(BindContext ctx)

      Save data from the source attribute into the target property.
      Parameters:
        `ctx` - the binding runtime context

    - #### validate

          void validate​(ValidationContext vctx)

      do the validation by validator
      Parameters:
        `vctx` -

    - #### getValidate

          Property getValidate​(BindContext ctx)

      Returns `Property` to be validated.
      Parameters:
        `ctx` - the binding runtime context
      Returns:
        `Property` to be validated.

    - #### hasValidator

          boolean hasValidator()

      Returns whether to do validation. which means, if true, than getValidator should not return null
      Returns:
        whether to do validation.

    - #### getValidator

          Validator getValidator()

      return `Validator` to do validation
      Returns:
        the validator if existed

    - #### getValidatorArgs

          java.util.Map<java.lang.String,​java.lang.Object> getValidatorArgs()

      Returns an argument `<tags, object>` pairs map for validator.
      Returns:
        an argument `<tags, object>` pairs map for validator.